Name:          dadml
Version:       1.4
Release:       %mkrel 3
Summary:       Database Access Definition Markup Language
Group:         Development/Java
License:       GPL
Url:           http://sourceforge.net/projects/woc/
# cvs -d:pserver:anonymous@woc.cvs.sourceforge.net:/cvsroot/woc login
# cvs -z3 -d:pserver:anonymous@woc.cvs.sourceforge.net:/cvsroot/woc co -P dadml
# tar czf dadml-1.4-src-cvs.tar.gz dadml
Source0:       dadml-1.4-src-cvs.tar.gz
Source1:       dadml-1.4.pom
BuildRequires: ant
BuildRequires: jpackage-utils
BuildRequires: xerces-j2
Requires:      jpackage-utils
Requires:      xerces-j2
BuildArch:     noarch

%description
DAD ML's reason for existence is making databases accessible.
However, this can be divided in three parts. One is a database
definition, a second is a content index and the third is being a
list of DAD compliant databases.
The first type of information makes an database accessible. It
provides information on the types of information that can be found
in this database. More specific it defines the fields of the database.
This information is contained in the tag <DBDEF>.
The second type provides a way of making the database searchable. At
defines which records are available in this database. The index
should be a unique ID. For chemical compounds this could be CAS numbers.
This information is contained in the tag <DBDATA>.
This indexed data file might also provide a conversion from the
unique ID to an ID used by this database. Database therefore need
not be searchable by this unique ID.
The last type provides means by which one can build a superdatabase.
This superdatabase is able to access other databases. Making this database
searchable makes also all other databases searchable if they provided a
index list. This information is contained in the tag <DBLIST>.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
DADML - Database Access Definition Markup Language.

This package contains javadoc for %{name}.

%prep
%setup -q -n dadml

for j in $(find . -name "*.jar"); do
   	mv $j $j.no
done

for j in $(find . -name "CVS"); do
   	rm -rf $j
done

for i in "CHANGELOG.TXT LICENSE.TXT README.TXT" ; do
	sed -i 's/\r//' $i
done

ln -sf $(build-classpath xerces-j2) jar/xerces-2.5.0.jar

%build
ant jar doc
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}
install -pm 644 dadml.jar %{buildroot}%{_javadir}/dadml-%{version}.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_javadocdir}/dadml-%{version}
cp -pr api/* %{buildroot}%{_javadocdir}/dadml-%{version}
ln -sf dadml-%{version} %{buildroot}%{_javadocdir}/dadml

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_javadir}/dadml-%{version}.jar
%{_javadir}/dadml.jar
%doc CHANGELOG.TXT LICENSE.TXT README.TXT

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/dadml-%{version}
%{_javadocdir}/dadml



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.4-3.mga4
+ Revision: 503752
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 348555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 1.4-1.mga2
+ Revision: 163920
- imported package dadml


* Fri Jul 08 2011 gil <gil> 1.4-0.%%mkrel
- initial rpm
